## archtunjo 0.0.8-4

=== debian/changelog ===
archtunjo (0.0.8-4) unstable; urgency=low

  * modified copyright information for sdk release

 -- Kuisma Salonen <kuisma.salonen@nokia.com>  Wed, 11 May 2005 16:40:00 +0200

archtunjo (0.0.8-2) unstable; urgency=high

  * fixed gconf malfunction

 -- Kuisma Salonen <kuisma.salonen@nokia.com>  Wed, 16 Feb 2005 13:37:00 +0200

archtunjo (0.0.8-1) unstable; urgency=medium

  * removed GTK+ dependancy (uses just glib)

 -- Kuisma Salonen <kuisma.salonen@nokia.com>  Thu, 10 Feb 2005 15:45:00 +0200

archtunjo (0.0.4-2) unstable; urgency=low

  * depends on new package

 -- Kuisma Salonen <kuisma.salonen@nokia.com>  Mon, 10 Oct 2004 13:37:00 +0200

archtunjo (0.0.4-1) unstable; urgency=low

  * Useless update to depend on libshadowappd 0.0.4

 -- Kuisma Salonen <kuisma.salonen@nokia.com>  Tue, 28 Sep 2004 13:37:00 +0200

archtunjo (0.0.3-1) unstable; urgency=low

  * Initial Release.
  * Actual first deb relese

 -- unknown <kuisma.salonen@nokia.com>  Thu, 23 Sep 2004 17:45:19 +0300

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#/usr/bin/docbook-to-man debian/archtunjo.sgml > archtunjo.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/archtunjo.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/archtunjo


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## archtunjo 0.0.8-6

=== Makefile ===
CC = gcc -Wall -O2

all:
	$(CC) -o wrapper wrapper.c `pkg-config hildon-libs --cflags` `pkg-config gconf-2.0 --cflags` -lshadowappd

clean:
	-@rm wrapper

install:
	@install -d -m755 $(DESTDIR)/usr/games/
	@install -d -m755 $(DESTDIR)/usr/games/wrapper/
	@install -m755 wrapper $(DESTDIR)/usr/games/wrapper/

=== debian/changelog ===
archtunjo (0.0.8-6) unstable; urgency=low

  * Made copyright information more accurate. Fixes: NB#40908

 -- Kuisma Salonen <kuisma.salonen@nokia.com>  Tue,  3 Sep 2006 10:49:21 +0300

archtunjo (0.0.8-5) unstable; urgency=low

  * Added some more debug information

 -- Kuisma Salonen <kuisma.salonen@nokia.com>  Wed, 11 May 2005 16:42:11 +0300

=== debian/control ===
Source: archtunjo
Section: unknown
Priority: optional
Maintainer: unknown <kuisma.salonen@nokia.com>
Build-Depends: debhelper (>= 4.0.0), hildon-libs-dev, lessertunjo-dev (>= 0.0.8), libgconf2-dev
Standards-Version: 3.6.0

Package: archtunjo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: the D-BUS wrapper for games
 D-BUS wrapper required by the non-glib rames to run easily. Can be used in
 any non-glib application which has it's own mainloop.
